Permalink
Browse files

Merge branch 'release/1.6.2'

  • Loading branch information...
2 parents 53b7b5a + ff040ec commit f8038141962aa66116e5e37d250320579c7354a8 @jezdez jezdez committed Jul 16, 2011
View
@@ -13,7 +13,7 @@
file_regex = re.compile(
r'##file (.*?)\n([a-zA-Z][a-zA-Z0-9_]+)\s*=\s*convert\("""(.*?)"""\)',
re.S)
-file_template = '##file %(filename)s\n%(varname)s = convert("""\n%(data)s""")\n'
+file_template = '##file %(filename)s\n%(varname)s = convert("""\n%(data)s""")'
def rebuild():
f = open(script, 'rb')
@@ -19,8 +19,8 @@
('http://pypi.python.org/packages/2.5/s/setuptools/setuptools-0.6c11-py2.5.egg', 'setuptools-0.6c11-py2.5.egg'),
('http://pypi.python.org/packages/2.4/s/setuptools/setuptools-0.6c11-py2.4.egg', 'setuptools-0.6c11-py2.4.egg'),
('http://python-distribute.org/distribute_setup.py', 'distribute_setup.py'),
- ('http://pypi.python.org/packages/source/d/distribute/distribute-0.6.16.tar.gz', 'distribute-0.6.16.tar.gz'),
- ('http://pypi.python.org/packages/source/p/pip/pip-1.0.1.tar.gz', 'pip-1.0.1.tar.gz'),
+ ('http://pypi.python.org/packages/source/d/distribute/distribute-0.6.19.tar.gz', 'distribute-0.6.19.tar.gz'),
+ ('http://pypi.python.org/packages/source/p/pip/pip-1.0.2.tar.gz', 'pip-1.0.2.tar.gz'),
]
def main():
View
@@ -42,7 +42,7 @@
#
# The short X.Y version.
-release = "1.6.1"
+release = "1.6.2"
version = ".".join(release.split(".")[:2])
# There are two options for replacing |today|: either, you set today to some
View
@@ -27,10 +27,9 @@ Project <http://openplans.org>`_ and is now maintained by a
It is licensed under an
`MIT-style permissive license <https://github.com/pypa/virtualenv/raw/master/LICENSE.txt>`_.
-You can install it with ``easy_install virtualenv``, or from the `git
-repository <https://github.com/pypa/virtualenv>`_ or from a `tarball
-<https://github.com/pypa/virtualenv/tarball/master#egg=virtualenv-dev>`_
-``easy_install virtualenv==dev``.
+You can install it with ``easy_install virtualenv``, or the `latest
+development version <https://github.com/pypa/virtualenv/tarball/develop#egg=virtualenv-dev>`_
+with ``easy_install virtualenv==dev``.
What It Does
------------
@@ -96,8 +95,9 @@ the `win32api <http://sourceforge.net/projects/pywin32/>`_ library installed.
PyPy Support
~~~~~~~~~~~~
-Beginning with virtualenv version 1.5 there is experimental `PyPy
-<http://pypy.org>`_ support. Currently only PyPy trunk is supported.
+Beginning with virtualenv version 1.5 `PyPy <http://pypy.org>`_ is
+supported. To use PyPy 1.4 or 1.4.1, you need a version of virtualenv >= 1.5.
+To use PyPy 1.5, you need a version of virtualenv >= 1.6.1.
Creating Your Own Bootstrap Scripts
-----------------------------------
@@ -203,7 +203,7 @@ value before running the ``activate`` script.
On Windows you just do::
- > \path\to\env\bin\activate.bat
+ > \path\to\env\Scripts\activate.bat
And use ``deactivate.bat`` to undo the changes.
View
@@ -6,6 +6,25 @@ Next release (1.7) schedule
Beta release mid-July 2011, final release early August.
+1.6.2 (2011-07-16)
+~~~~~~~~~~~~~~~~~~
+
+* Updated embedded distribute release to 0.6.19.
+
+* Updated embedded pip release to 1.0.2.
+
+* Fixed #141 - Be smarter about finding pkg_resources when using the
+ non-default Python intepreter (by using the ``-p`` option).
+
+* Fixed #112 - Fixed path in docs.
+
+* Fixed #109 - Corrected doctests of a Logger method.
+
+* Fixed #118 - Fixed creating virtualenvs on platforms that use the
+ "posix_local" install scheme, such as Ubuntu with Python 2.7.
+
+* Add missing library to Python 3 virtualenvs (``_dummy_thread``).
+
1.6.1 (2011-04-30)
~~~~~~~~~~~~~~~~~~
View
@@ -26,7 +26,7 @@
setup(name='virtualenv',
# If you change the version here, change it in virtualenv.py and
# docs/conf.py as well
- version="1.6.1",
+ version="1.6.2",
description="Virtual Python Environment builder",
long_description=long_description,
classifiers=[
View
@@ -4,7 +4,7 @@
def test_version():
"""Should have a version string"""
- assert virtualenv.virtualenv_version == "1.6.1", "Should have version"
+ assert virtualenv.virtualenv_version == "1.6.2", "Should have version"
@patch('os.path.exists')
View

Large diffs are not rendered by default.

Oops, something went wrong.
Binary file not shown.
Binary file not shown.
@@ -46,7 +46,7 @@ def quote(arg):
args = [quote(arg) for arg in args]
return os.spawnl(os.P_WAIT, sys.executable, *args) == 0
-DEFAULT_VERSION = "0.6.15"
+DEFAULT_VERSION = "0.6.19"
DEFAULT_URL = "http://pypi.python.org/packages/source/d/distribute/"
SETUPTOOLS_FAKED_VERSION = "0.6c11"
Binary file not shown.
Binary file not shown.

0 comments on commit f803814

Please sign in to comment.